#!/usr/bin/env python

from WebStack.Adapters import BaseHTTPRequestHandler
from Login import LoginResource, LoginAuthenticator
import BaseHTTPServer

# Special magic incantation.

handler = BaseHTTPRequestHandler.HandlerFactory(
    LoginResource(
        LoginAuthenticator(
            secret_key="horses",
            credentials=(
                ("badger", "abc"),
                ("vole", "xyz"),
            )
        )
    )
)
address = ("", 8081)
server = BaseHTTPServer.HTTPServer(address, handler)
print "Serving..."
server.serve_forever()

# vim: tabstop=4 expandtab shiftwidth=4
